Subject: Fwd: Re: RE: libglut.a : Where can I get it?
From: [email-masked] (Norman Vine)

5 Sep 1998 23:40:03 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

FYI
Norman

Message http://www.findmail.com/list/gnu-win32/?start=6941
>
> I have just today compiled libglut and it works well, apparently, with the
> code I was porting. You link to the MS GL libraries, not Mesa.
> 
> 
> To build the three libs in the distribution at
> 
> http://reality.sgi.com/opengl/glut3/glut3.html
> 
> I had to do the following:
> 
> 1. Create 3 custom Makefiles for cygwin32: for the glut, mui, and gle libs.
> The makefiles define and _WIN32, WIN32, and they build the libraries from
> different constituent .o files than the unix builds. I made these makefiles
> using imake, then modified the constituent files according to the ones in
> the Makefile.win files (the makefiles for NMAKE and CL).
> 
> 2. Modify the file lib/glut/win32_util.c trivially:
> 
> Old code :
> #if defined(__CYGWIN32__)
> typedef MINMAXINFO* LPMINMAXINFO;
> #else
> #include <sys/timeb.h>
> #endif
> 
> New code :
> #if defined(__CYGWIN32__)
> typedef MINMAXINFO* LPMINMAXINFO;
> #endif
> #include <sys/timeb.h>
> 
> I imagine some earlier distribution of cygwin32 did not contain
> <sys/timeb.h>? Anyway, I am using b19 and this works for me.
> 
> I have put the makefiles, and the libglut.a (for intel), at
> ftp://ftp.scoutsys.com/misc/glut-cygwin32
> 
> 
> Hugh Winkler
> Scout Systems, Inc.
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of Jerry Oh
> > ...snip...
> > Does anyone have "libglut.a". Or let me know where I can get it.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
> 

-----
Original Message: http://www.findmail.com/list/gnu-win32/?start=6941
Start a FREE email list at http://www.FindMail.com/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".